Name:           yaml-cpp
Version:        0.2.2
Release:        2%{?dist}
Summary:        A YAML parser and emitter for C++
Group:          Development/Libraries
License:        MIT 
URL:            http://code.google.com/p/yaml-cpp/
Source0:        http://yaml-cpp.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  cmake

%description
yaml-cpp is a YAML parser and emitter in C++ written around the YAML 1.2 spec.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
License:        MIT
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -c
# Fix eol 
sed -i 's/\r//' license.txt
# Fix cmake config 
sed -i 's/set(CMAKE_CXX_FLAGS "-O2 -Wall -pedantic -Wextra")/set(CMAKE_CXX_FLAGS "-Wall -pedantic -Wextra ${CMAKE_CXX_FLAGS}")/g' CMakeLists.txt


%build
# ask cmake to not strip binaries
%cmake . 
make VERBOSE=1 %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc license.txt
%{_libdir}/*.so.*


%files devel
%defattr(-,root,root,-)
%{_includedir}/yaml-cpp/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Oct 17 2009 Guido Grazioli <guido.grazioli@gmail.com> - 0.2.2-2
- Remove duplicate file

* Wed Oct 14 2009 Guido Grazioli <guido.grazioli@gmail.com> - 0.2.2-1
- Initial packaging 
